# Uses of Class
org.apache.sling.commons.json.io.JSONRenderer.Options

Packages that use JSONRenderer.Options
Package
Description
org.apache.sling.commons.json.io

## Uses of JSONRenderer.Options in org.apache.sling.commons.json.io

Methods in org.apache.sling.commons.json.io that return JSONRenderer.Options
Modifier and Type
Method
Description
`JSONRenderer.Options`
JSONRenderer.`options()`
Deprecated.
Return an Options object with default values
`JSONRenderer.Options`
JSONRenderer.Options.`withArraysForChildren(boolean b)`
`JSONRenderer.Options`
JSONRenderer.Options.`withChildNameKey(String key)`
`JSONRenderer.Options`
JSONRenderer.Options.`withChildrenKey(String key)`
`JSONRenderer.Options`
JSONRenderer.Options.`withIndent(int n)`
`JSONRenderer.Options`
JSONRenderer.Options.`withInitialIndent(int n)`
Methods in org.apache.sling.commons.json.io with parameters of type JSONRenderer.Options
Modifier and Type
Method
Description
`String`
JSONRenderer.`prettyPrint(JSONArray ja, JSONRenderer.Options opt)`
Deprecated.
Pretty-print a JSONArray
`String`
JSONRenderer.`prettyPrint(JSONObject jo, JSONRenderer.Options opt)`
Deprecated.
Make a prettyprinted JSON text of this JSONObject.
`String`
JSONRenderer.`valueToString(Object value, JSONRenderer.Options opt)`
Deprecated.
Make a JSON String of an Object value, with rendering options